package common;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Vector;

import domain.Owner;
import domain.RuralHouse;

public interface HouseInterface extends Remote {

	// For future implementation
	// public void modifyHouse(int houseName, Owner owner,
	// String description, String town, int nRooms, int nKitchens,
	// int nBaths, int nLivings, int nParkings);

	public void removeHouse(RuralHouse rh, Owner owner)throws RemoteException;

	public Vector<RuralHouse> getHouses(Owner ow, String name,String town,int nBed , int nKit, int nBath, int nPark, int nLiv) throws RemoteException;

	/**
	 * This method retrieves the existing  rural houses 
	 * 
	 * @return a Set of rural houses
	 */
	public Vector<RuralHouse> getAllRuralHouses()throws RemoteException,
	Exception, RemoteException;

	public boolean registerNewHouse(RuralHouse rh)throws RemoteException;
	
}
